Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040324
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 04. Warehouse managementmajoralways2019-03-05 16:222019-03-28 14:56
ReporterngarciaView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityurgentResolutionfixedFixed in Version3.0PR19Q2
StatusclosedFix in branchFixed in SCM revision685b7fc35b49
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040324: Bill Of Materials Production should take the stock from same warehouse than the storage bin defined in the Production Plan tab

DescriptionBill Of Materials Production should take the stock from same warehouse than the storage bin defined in the Production Plan tab
Steps To ReproduceAs group admin role:
   Create a product (BOM_PART) in F&B España, S.A
   Create a new product (BOM) in F&B España, S.A
   Set it as Bill Of Materials
   Add 1 unit of BOM_PART product in Bill Of Materials tab
   Verify BOM

   Increase the stock of BOM_PART product in a storage bin of 'España Región Sur' warehouse

   Create a Bill Of Materials Production for F&B España, S.A
   Add the BOM product, set a quantity and a storage bin of 'España Región Norte' warehouse in Production Plan tab
   Launch Create/Process Production process by selecting the option of
'Product quantity must be on stock'
   Check in I/O Products tab that the stock has been consumed from Region Sur warehouse and produced in Region Norte warehouse
   
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0039945 closedrqueralta Retail Modules Get stock call of autbom does not include the process and warehouse ids 
depends on defect 0040450 closedAtulOpenbravo Openbravo ERP API Change: Create/Process Production process parameter to force use of warehouse of selected Storage Bin 

-  Notes
(0110597)
AtulOpenbravo (developer)
2019-03-22 19:09

Test Plan

- Login As F&B International group admin role:
- Create a product (BOM_PART) in F&B España, S.A
- Create a new product (BOM) in F&B España, S.A
   Set it as Bill Of Materials
   Add 1 unit of BOM_PART product in Bill Of Materials tab
   Verify BOM

- Increase the stock of BOM_PART product in a storage bin of 'España Región Sur' warehouse
- Create a Bill Of Materials Production for F&B España, S.A
- Add the BOM product, set a quantity and a storage bin of 'España Región Norte' warehouse in Production Plan tab
- Launch Create/Process Production process by selecting the option of
'Product quantity must be on stock' and set Force Use Of Warehouse Of Selected Storage Bin flag = Yes.
- Check in I/O Products tab that the stock has not been consumed from Region Sur warehouse and produced in Region Norte warehouse.

- Follow above all steps by selecting Force Use Of Warehouse Of Selected Storage Bin flag = No.
- Check in I/O Products tab that the stock has been consumed from Region Sur warehouse and produced in Region Norte warehouse.
(0110648)
AtulOpenbravo (developer)
2019-03-26 10:52

A new parameter forceUseOfWHOfSelectedLocator flag is added in Create/Process Production button process, this flag decides whether to prioritize warehouse of the selected storage bin in Production Plan to be used while calling m_get_stock_param. Hence this serves our two purposes.
1. Existing functionality can be achieved by default. (flag = No)
2. User can pick only stock of consumed product from the warehouse of storage bin set in Production Plan. (flag = Yes)
(0110676)
hgbot (developer)
2019-03-27 11:37

Repository: erp/devel/pi
Changeset: 685b7fc35b497482fcbd0e8fa531cab7229c031b
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Tue Mar 26 09:56:06 2019 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/685b7fc35b497482fcbd0e8fa531cab7229c031b [^]

Fixes Issue 40324: Bill Of Materials Production should take
the stock from same warehouse than the storage bin defined
in the Production Plan tab

** New optional flag is provided in order to force use of warehouse
of selected storage bin in production plan to be used as priority
warehouse for all the production line for picking stock of prodcuts
to be consumed and produced ones.

---
M src-db/database/model/functions/M_PRODUCTION_RUN.xml
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/AD_PROCESS_PARA.xml
---
(0110679)
dmiguelez (developer)
2019-03-27 12:27

Code Review + Testing Ok
(0110896)
hudsonbot (developer)
2019-03-28 14:56

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b2fbc1588df4 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-03-05 16:22 ngarcia New Issue
2019-03-05 16:22 ngarcia Assigned To => Triage Finance
2019-03-05 16:22 ngarcia Modules => Core
2019-03-05 16:22 ngarcia Triggers an Emergency Pack => No
2019-03-05 16:23 ngarcia Relationship added related to 0039945
2019-03-05 16:23 ngarcia Issue Monitored: networkb
2019-03-05 17:29 Sandrahuguet Assigned To Triage Finance => AtulOpenbravo
2019-03-11 15:18 AtulOpenbravo Status new => scheduled
2019-03-22 19:09 AtulOpenbravo Note Added: 0110597
2019-03-26 02:26 AtulOpenbravo Relationship added depends on 0040450
2019-03-26 10:52 AtulOpenbravo Note Added: 0110648
2019-03-27 11:37 hgbot Checkin
2019-03-27 11:37 hgbot Note Added: 0110676
2019-03-27 11:37 hgbot Status scheduled => resolved
2019-03-27 11:37 hgbot Resolution open => fixed
2019-03-27 11:37 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/685b7fc35b497482fcbd0e8fa531cab7229c031b [^]
2019-03-27 12:27 dmiguelez Review Assigned To => dmiguelez
2019-03-27 12:27 dmiguelez Note Added: 0110679
2019-03-27 12:27 dmiguelez Status resolved => closed
2019-03-27 12:27 dmiguelez Fixed in Version => 3.0PR19Q2
2019-03-28 14:56 hudsonbot Checkin
2019-03-28 14:56 hudsonbot Note Added: 0110896


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker